function onTalk()
	local location = ""
	if arguments and type(arguments) == 'string' then
		location = arguments
	end
	disableMovement()
	choiceDialog({
	{
		"Violet_HardlistGyms_Close",
		onChosen = function ()
				closeChoiceDialog()
		end
	},
	{
		"Violet_HardlistGyms_Hub",
		onChosen = function ()
				teleport(2000, 300, "GymHub")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Overhang_loc_0",
		requires =
		function ()
			if location == "Overhang_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(3800, 45, "Overhang")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Overhang_loc_1",
		requires =
		function ()
			if location == "Overhang_1" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(3940, 0, "Overhang")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Overhang_loc_2",
		requires =
		function ()
			if location == "Overhang_2" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(3980, -60, "Overhang")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Overhang_loc_3",
		requires =
		function ()
			if location == "Overhang_3" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(4140, -100, "Overhang")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Overhang_loc_4",
		requires =
		function ()
			if location == "Overhang_4" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(4250, -160, "Overhang")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Overhang_loc_5",
		requires =
		function ()
			if location == "Overhang_5" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(4740, -230, "Overhang3")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Overhang_loc_6",
		requires =
		function ()
			if location == "Overhang_6" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(4900, -320, "Overhang3")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Overhang_loc_7",
		requires =
		function ()
			if location == "Overhang_6" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(4960, -400, "Overhang3")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Overhang_loc_8",
		requires =
		function ()
			if location == "Overhang_7" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(4440, -300, "Overhang2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Overhang_loc_9",
		requires =
		function ()
			if location == "Overhang_8" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(4700, -300, "Overhang2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Overhang_loc_10",
		requires =
		function ()
			if location == "Overhang_8" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(5070, -470, "Overhang3")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	}
	})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
